Index: contrib/crossrpms/binutils/binutils.add
===================================================================
--- contrib/crossrpms/binutils/binutils.add	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/binutils/binutils.add	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	@BINUTILS_RPMREL@%{?dist}
+Release:	@BINUTILS_RPMREL@
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
Index: contrib/crossrpms/cygwin/i686/Makefile.am
===================================================================
--- contrib/crossrpms/cygwin/i686/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/cygwin/i686/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -106,5 +106,5 @@
 BINUTILS_VERS = 2.17.50
 BINUTILS_PKGVERS = 20060817-1
-BINUTILS_RPMREL = 0.20070724.1
+BINUTILS_RPMREL = 0.20070724.1%{?dist}
 include ../binutils.am
 BINUTILS_OPTS += --disable-infos
Index: contrib/crossrpms/freebsd5.2/i586/Makefile.am
===================================================================
--- contrib/crossrpms/freebsd5.2/i586/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/freebsd5.2/i586/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -31,5 +31,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = @VERSION@
+BINUTILS_RPMREL = @VERSION@%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/freebsd6.0/i586/Makefile.am
===================================================================
--- contrib/crossrpms/freebsd6.0/i586/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/freebsd6.0/i586/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -31,5 +31,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = @VERSION@
+BINUTILS_RPMREL = @VERSION@%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/freebsd6.1/i586/Makefile.am
===================================================================
--- contrib/crossrpms/freebsd6.1/i586/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/freebsd6.1/i586/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -32,5 +32,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = @VERSION@
+BINUTILS_RPMREL = @VERSION@%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/freebsd6.2/i586/Makefile.am
===================================================================
--- contrib/crossrpms/freebsd6.2/i586/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/freebsd6.2/i586/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -32,5 +32,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = @VERSION@
+BINUTILS_RPMREL = @VERSION@%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/mingw32/i686/Makefile.am
===================================================================
--- contrib/crossrpms/mingw32/i686/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/mingw32/i686/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -56,5 +56,5 @@
 BINUTILS_VERS = 2.16.91-20060119-1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 1
+BINUTILS_RPMREL = 1%{?dist}
 include ../binutils.am
 BINUTILS_OPTS += --disable-infos
Index: contrib/crossrpms/rtems4.8/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/arm/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/arm/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/avr/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/avr/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/bfin/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17.50
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 1
+BINUTILS_RPMREL = 1%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/h8300/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/i386/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/i386/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/m68k/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/mips/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/mips/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/powerpc/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/sh/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/sh/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/sparc/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17.50
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 1
+BINUTILS_RPMREL = 1%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.8/tic4x/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/tic4x/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/rtems4.8/tic4x/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -7,5 +7,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 2%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/solaris2.7/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/solaris2.7/sparc/Makefile.am	(revision b8a8bfb0dcbfc0f59ac5023d480d2de1e44bfbe4)
+++ contrib/crossrpms/solaris2.7/sparc/Makefile.am	(revision e0d85b7480b0fa976545841c300ab02070d97a5d)
@@ -32,5 +32,5 @@
 BINUTILS_VERS = 2.17
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = @VERSION@
+BINUTILS_RPMREL = @VERSION@%{?dist}
 include ../binutils.am
 BINUTILS_OPTS +=
